//==========================================================================
//
//        lcd_test.c
//
//        Cirrus EDB7XXX eval board LCD test code
//
//==========================================================================
//####COPYRIGHTBEGIN####
//
// -------------------------------------------
// The contents of this file are subject to the Red Hat eCos Public License
// Version 1.1 (the "License"); you may not use this file except in
// compliance with the License.  You may obtain a copy of the License at
// http://www.redhat.com/
//
// Software distributed under the License is distributed on an "AS IS"
// basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the
// License for the specific language governing rights and limitations under
// the License.
//
// The Original Code is eCos - Embedded Configurable Operating System,
// released September 30, 1998.
//
// The Initial Developer of the Original Code is Red Hat.
// Portions created by Red Hat are
// Copyright (C) 1998, 1999, 2000 Red Hat, Inc.
// All Rights Reserved.
// -------------------------------------------
//
//####COPYRIGHTEND####
//==========================================================================
//#####DESCRIPTIONBEGIN####
//
// Author(s):     gthomas
// Contributors:  gthomas
// Date:          1999-09-01
// Description:   Tool used to test LCD controller
//####DESCRIPTIONEND####

#include <pkgconf/kernel.h>   // Configuration header
#include <cyg/kernel/kapi.h>
#include <cyg/infra/diag.h>
#include <cyg/hal/hal_edb7xxx.h>  // Board definitions

#ifndef FALSE
#define FALSE 0
#define TRUE  1
#endif

#include "lcd_support.h"

// FUNCTIONS

static void lcd_test (
   int depth)
   {
   int   i;
   int   j;

   diag_printf ("Set depth %d\n", depth);

   GDI_Screen_On ();
   // lcd_on(depth);

   lcd_clear();

   diag_printf("Write some chars now\n");

   for (j = 0;  j < 5;  j++)
      {
      for (i = 0;  i < lcd_GetWidth ();  i++)
         {
         lcd_putc('A');
         }
      }

   lcd_putc('\n');
   lcd_putc('\n');

   cyg_thread_delay (5*100);

   for (j = 0;  j < 5;  j++)
      {
      for (i = FIRST_CHAR;  i <= LAST_CHAR;  i++)
         {
         lcd_putc(i);
         }
      }
   cyg_thread_delay(5*100);
   } // lcd_test

int main (
   int   argc,
   char *argv[])
   {
   int wakeup;

   lcd_test (4);

   while (1)
      {
      cyg_thread_delay (500);
      diag_printf ("Wake up in main: %d\n", wakeup);
      wakeup ++;
      } // end while

   return 0;
   } // main
